/// Web API

export enum Facet {
  Amendements = "amendements",
}
export const allFacets = Object.values(Facet)

export enum Follow {
  Acte_organe = "acte.organe",
  Acte_provenance = "acte.provenance",
  Acte_rapporteurs_acteur = "acte.rapporteurs.acteur",
  Acte_reunion = "acte.reunion",
  Acte_texteAdopte = "acte.texteAdopte",
  Acte_texteAssocie = "acte.texteAssocie",
  Acte_textesAssocies_texteAssocie = "acte.textesAssocies.texteAssocie",
  Acte_votes = "acte.votes",
  Acteur_mandats_organes = "acteur.mandats.organes",
  // Amendement_identifiant_saisine_texteLegislatif = "amendement.identifiant.saisine.texteLegislatif",
  Amendement_signataires_auteur_acteur = "amendement.signataires.auteur.acteur",
  Amendement_signataires_auteur_auteurRapporteurOrgane = "amendement.signataires.auteur.auteurRapporteurOrgane",
  Amendement_signataires_auteur_gouvernement = "amendement.signataires.auteur.gouvernement",
  Amendement_signataires_auteur_groupePolitique = "amendement.signataires.auteur.groupePolitique",
  Amendement_signataires_cosignataires = "amendement.signataires.cosignataires",
  Amendement_texteLegislatif = "amendement.texteLegislatif",
  Document_auteurs_acteur_acteur = "document.auteurs.acteur.acteur",
  Document_auteurs_organe = "document.auteurs.organe",
  Document_dossier = "document.dossier",
  Dossier_initiateur_acteurs_acteur = "dossier.initiateur.acteurs.acteur",
  Dossier_initiateur_organe = "dossier.initiateur.organe",
  Organe_organeParent = "organe.organeParent",
  Organe_organePrecedent = "organe.organePrecedent",
  Reunion_demandeurs_acteurs_acteur = "reunion.demandeurs.acteurs.acteur",
  Reunion_demandeurs_organe_organe = "reunion.demandeurs.organe.organe",
  Reunion_organeReuni = "reunion.organeReuni",
  Reunion_participants_participantsInternes_acteur = "reunion.participants.participantsInternes.acteur",
  Scrutin_miseAuPoint = "scrutin.miseAuPoint",
  Scrutin_organe = "scrutin.organe",
  Scrutin_ventilationVotes_groupes_organe = "scrutin.ventilationVotes.groupes.organe",
}
export const allFollows = Object.values(Follow)

/// Search query shared by all front-end and API,
// but they don't use all fields.
export interface SearchQuery {
  facet?: Iterable<Facet>
  follow?: Iterable<Follow>
  limit?: number | string
  offset?: number | string
  q?: string
}

export interface ValidSearchQuery extends ValidSearchQuerySharedSubset {
  offset: number
}

export interface ValidSearchQuerySharedSubset {
  q?: string
}
