import { BasePlugin } from "../bugs"

export class Plugin extends BasePlugin {
  constructor(options: any) {
    super(options, "acteur-00010")
  }

  static ok(url: string): boolean {
    return url == undefined || /^https:\/\//.test(url)
  }

  async check(acteur: any, _filename: any): Promise<any> {
    const uriHatvp = acteur.uriHatvp

    return {
      status: Plugin.ok(uriHatvp) ? "ok" : "will-be-fixed",
      info: [`uriHatvp == ${uriHatvp}`],
    }
  }

  async fix(acteur: any, _filename: any): Promise<any> {
    const uriHatvp = acteur.uriHatvp
    if (Plugin.ok(uriHatvp)) {
      return false
    } else {
      delete acteur.uriHatvp
      return true
    }
  }
}
