import { load } from "../../file_systems"
import { assert } from "chai"
import { Plugin } from "../acteur-00010"

const id = "00010"

suite(`Plugin${id}`)

test(`#Plugin${id}`, async function () {
  const plugin = new Plugin({})
  const d = `src/bugs/acteur-${id}`

  {
    const f = `${d}/fail.json`
    const content = load(f)
    assert("uriHatvp" in content)
    const result = await plugin.check(content, f)
    assert.deepEqual(result["status"], "will-be-fixed", f)
    assert.equal(await plugin.fix(content, f), true, f)
    assert(!("uriHatvp" in content))
  }

  {
    const f = `${d}/ok.json`
    const content = load(f)
    const result = await plugin.check(content, f)
    assert.deepEqual(result["status"], "ok", f)
    assert.equal(await plugin.fix(content, f), false, f)
  }

  {
    const f = `${d}/ok-missing.json`
    const content = load(f)
    const result = await plugin.check(content, f)
    assert.deepEqual(result["status"], "ok", f)
    assert.equal(await plugin.fix(content, f), false, f)
  }
})
