import { BasePlugin } from "../bugs"

export let CANCELED = [
  "RUANR5L15S2020IDS21979",
  "RUANR5L15S2020IDS22027",
  "RUANR5L15S2020IDS21997",
  "RUANR5L15S2020IDS21968",
  "RUANR5L15S2019IDS21385",
  "RUANR5L15S2018IDS20750",
]

export class Plugin extends BasePlugin {
  constructor(options: any) {
    super(options, "agenda-00008")
  }

  async check(agenda: any, _filename: any): Promise<any> {
    if (CANCELED.indexOf(agenda.uid) < 0) return null
    const etat = agenda.cycleDeVie.etat
    const fixed = etat == "Supprimé"
    return {
      status: fixed ? "already-fixed" : "will-be-fixed",
      info: [`agenda.cycleDeVie.etat == ${etat}`],
    }
  }

  async fix(agenda: any, _filename: any): Promise<any> {
    if (CANCELED.indexOf(agenda.uid) < 0) return null
    if (agenda.cycleDeVie.etat == "Confirmé") {
      agenda.cycleDeVie.etat = "Supprimé"
      return true
    } else {
      return false
    }
  }
}
