import { load } from "../../file_systems"
import { assert } from "chai"
import { Plugin, CANCELED } from "../agenda-00008"

const id = "00008"

suite(`Plugin${id}`)

test(`#Plugin${id}`, async function () {
  CANCELED.splice(0, CANCELED.length, "RUANR5L15S2018IDS20750")

  const plugin = new Plugin({})
  const d = `src/bugs/agenda-${id}`

  {
    const f = `${d}/fail.json`
    const content = load(f)
    const result = await plugin.check(content, f)
    assert.deepEqual(result["status"], "will-be-fixed", f)
    assert.equal(await plugin.fix(content, f), true, f)
  }

  {
    const f = `${d}/ok.json`
    const content = load(f)
    const result = await plugin.check(content, f)
    assert.deepEqual(result["status"], "already-fixed", f)
    assert.equal(await plugin.fix(content, f), false, f)
  }

  {
    const f = `${d}/other.json`
    const content = load(f)
    assert.deepEqual(await plugin.check(content, f), null, f)
    assert.equal(await plugin.fix(content, f), null, f)
  }
})
