/**
 * Prints a delimiter to the console if the `silent` parameter is falsy.
 *
 * @param {boolean} silent - If true, the delimiter will not be printed.
 */
export function delimiter(silent: boolean = false) {
  if (silent) return
  console.info("------------------------.")
}

/**
 * Prints the given function if the `silent` flag is not set to `true`.
 *
 * @param {void} printFunction - The function to be printed.
 * @param {{ silent: boolean }} [options] - An optional object containing the `silent` flag.
 * @return {void} This function does not return anything.
 */
export function runLogFun(
  printFunction: void,
  { silent }: { silent: boolean } = { silent: false },
) {
  if (silent) return
  printFunction
}
