/*
import commandLineArgs from "command-line-args"
import fs from "fs-extra"
import path from "path"
import {
  quicktype,
  InputData,
  jsonInputForTargetLanguage,
} from "quicktype-core"

import { datasets, DatasetStructure } from "../datasets"
import { walkDir } from "../file_systems"
import {
  silentOption,
  verboseOption,
  dataDirDefaultOption,
} from "./shared/cli_helpers"

const optionsDefinitions = [silentOption, verboseOption, dataDirDefaultOption]
const options = commandLineArgs(optionsDefinitions)

async function generateRawTypesFromAmendements(dataDir: string) {
  for (const dataset of datasets.amendements) {
    switch (dataset.structure) {
      case DatasetStructure.SegmentedFiles:
        {
          const originalJsonDir: string = path.join(dataDir, dataset.filename)
          if (!options.silent) {
            console.log(`Generating raw types from ${originalJsonDir}…`)
          }

          const amendementsOriginalFilesPathsByUidTextLegislatif: {
            [uid: string]: string[]
          } = {}
          for (const amendementSplitPath of walkDir(originalJsonDir)) {
            const amendementFilename =
              amendementSplitPath[amendementSplitPath.length - 1]
            if (!amendementFilename.endsWith(".json")) {
              continue
            }
            const uidTexteLegislatif =
              amendementSplitPath[amendementSplitPath.length - 2]
            let amendementsOriginalFilesPaths =
              amendementsOriginalFilesPathsByUidTextLegislatif[
                uidTexteLegislatif
              ]
            if (amendementsOriginalFilesPaths === undefined) {
              amendementsOriginalFilesPaths =
                amendementsOriginalFilesPathsByUidTextLegislatif[
                  uidTexteLegislatif
                ] = []
            }
            const amendementOriginalFilePath = path.join(
              originalJsonDir,
              ...amendementSplitPath,
            )
            amendementsOriginalFilesPaths.push(amendementOriginalFilePath)
          }

          const uidsTextesLegislatifs = Object.keys(
            amendementsOriginalFilesPathsByUidTextLegislatif,
          )
          uidsTextesLegislatifs.sort((a: string, b: string) =>
            a.length === b.length ? a.localeCompare(b) : a.length - b.length,
          )
          const textesLegislatifsSamples = []
          for (const uidTexteLegislatif of uidsTextesLegislatifs) {
            if (options.verbose) {
              console.log(
                `  Reading "amendements du texte législatif": ${uidTexteLegislatif}…`,
              )
            }
            const amendementsOriginalFilesPaths =
              amendementsOriginalFilesPathsByUidTextLegislatif[
                uidTexteLegislatif
              ]
            amendementsOriginalFilesPaths.sort((a: string, b: string) =>
              a.length === b.length ? a.localeCompare(b) : a.length - b.length,
            )
            const amendements = []
            for (const amendementOriginalFilePath of amendementsOriginalFilesPaths) {
              const amendementOriginalJson: string = fs.readFileSync(
                amendementOriginalFilePath,
                {
                  encoding: "utf8",
                },
              )
              const amendementOriginal: any = JSON.parse(amendementOriginalJson)
              const amendement = amendementOriginal.amendement
              amendements.push(amendement)
            }
            const texteLegislatif = {
              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance",
              refTexteLegislatif: uidTexteLegislatif,
              amendements: { amendement: amendements },
            }
            textesLegislatifsSamples.push(JSON.stringify(texteLegislatif))
          }

          const jsonInput = jsonInputForTargetLanguage("typescript")
          await jsonInput.addSource({
            name: "TexteLegislatif",
            samples: textesLegislatifsSamples,
          })
          const inputData = new InputData()
          inputData.addInput(jsonInput)
          const { lines } = await quicktype({
            inputData,
            lang: "typescript",
            rendererOptions: { acronymStyle: "camel" },
          })

          const amendementsRawTypesFilePath = path.join(
            "src",
            "raw_types",
            "amendements.ts",
          )
          fs.writeFileSync(amendementsRawTypesFilePath, lines.join("\n"))
        }
        break
    }
  }
}

generateRawTypesFromAmendements(options.dataDir)
  .then(() => {
    process.exit(0)
  })
  .catch((error) => {
    console.error(error)
    process.exit(1)
  })
*/
