export const silentOption = {
  alias: "s",
  help: "don't log anything",
  name: "silent",
  type: Boolean,
}

export const verboseOption = {
  alias: "v",
  help: "verbose logs",
  name: "verbose",
  type: Boolean,
}

export const categoriesOption = {
  alias: "k",
  defaultValue: ["All"],
  help: "categories of datasets to reorganize",
  multiple: true,
  name: "categories",
  type: String,
}

export const legislatureOption = {
  alias: "l",
  help: "legislatures of categories of datasets to retrieve; leave empty or use 0 for all",
  multiple: false,
  name: "legislature",
  type: Number,
}

export const dataDirDefaultOption = {
  defaultOption: true,
  help: "directory containing Assemblée open data files",
  name: "dataDir",
  type: String,
}

export const fetchOption = {
  alias: "f",
  help: "fetch data instead of retrieving from files",
  name: "fetch",
  type: Boolean,
}

export const fetchDocumentsOption = {
  help: "download documents",
  name: "fetchDocuments",
  type: Boolean,
}

export const parseDocumentsOption = {
  help: "parse documents",
  name: "parseDocuments",
  type: Boolean,
}

export const documentFormatOption = {
  alias: "F",
  help: "format of documents to retrieve",
  name: "format",
  type: String,
}

export const cloneOption = {
  alias: "C",
  help: "clone repositories from given group (or organization) git URL",
  name: "clone",
  type: String,
}

export const commitOption = {
  alias: "c",
  help: "commit clean files",
  name: "commit",
  type: Boolean,
}

export const remoteOption = {
  alias: "r",
  help: "push commit to given remote",
  multiple: true,
  name: "remote",
  type: String,
}

export const pullOption = {
  alias: "p",
  help: "pull repositories before proceeding",
  name: "pull",
  type: Boolean,
}
