import {
  iterLoadAssembleeActeurs,
  iterLoadAssembleeOrganes,
  iterLoadAssembleeReunions,
  iterLoadAssembleeScrutins,
  iterLoadAssembleeDocuments,
  iterLoadAssembleeDossiersParlementaires,
  iterLoadAssembleeAmendements,
  iterLoadAssembleeComptesRendus,
  iterLoadAssembleeQuestions,
} from "../loaders"

import commandLineArgs from "command-line-args"
import { Legislature } from "../types/legislatures"
import { dataDirDefaultOption } from "./shared/cli_helpers"

const optionsDefinitions = [dataDirDefaultOption]
const options = commandLineArgs(optionsDefinitions)

const noValidation = false
const legislature = Legislature.DixSept

for (const { acteur } of iterLoadAssembleeActeurs(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(acteur.uid)
}

for (const { organe } of iterLoadAssembleeOrganes(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(organe.uid)
}

for (const { reunion } of iterLoadAssembleeReunions(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(reunion.uid)
}

for (const { scrutin } of iterLoadAssembleeScrutins(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(scrutin.uid)
}

for (const { document } of iterLoadAssembleeDocuments(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(document.uid)
}

for (const { dossierParlementaire } of iterLoadAssembleeDossiersParlementaires(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(dossierParlementaire.uid)
}

for (const { amendement } of iterLoadAssembleeAmendements(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(amendement.uid)
}

for (const { compteRendu } of iterLoadAssembleeComptesRendus(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(compteRendu.uid)
}

for (const { question } of iterLoadAssembleeQuestions(
  options.dataDir,
  legislature,
  { noValidation: noValidation },
)) {
  console.log(question.uid)
}
