import { BasePlugin } from "../../src/bugs"

function fixActeLegislatif(acteLegislatif: any): any {
  const statutConclusion = acteLegislatif.statutConclusion
  if (statutConclusion !== undefined) {
    if (statutConclusion.famCode === "TSORTFnull") {
      delete acteLegislatif.statutConclusion
      return true
    }
  }

  let actesLegislatifs = acteLegislatif.actesLegislatifs
  if (actesLegislatifs !== undefined) {
    for (const acteLegislatif of actesLegislatifs) {
      if (fixActeLegislatif(acteLegislatif) == true) return true
    }
  }
  return false
}

export class Plugin extends BasePlugin {
  constructor(options: any, _name?: string) {
    super(options, "dossier-00001")
  }

  fix(dossier: any, _filename: any): any {
    if (dossier.uid != "DLR5L15N37831") {
      return null
    }

    let actesLegislatifs = dossier.actesLegislatifs
    for (const acteLegislatif of actesLegislatifs) {
      if (fixActeLegislatif(acteLegislatif) == true) return true
    }
    return false
  }
}
