//let sinon = require("sinon")
import { assert } from "chai"
import * as urls from "../src/urls"

suite("urls")

test("#urlFromDocument", async function () {
  assert.equal(
    urls.urlFromDocument(
      { uid: "RINFANR5L15B0385" },
      urls.DocumentUrlFormat.Html,
    ),
    "http://www.assemblee-nationale.fr/15/rap-info/i0385.asp",
  )
  assert.equal(
    urls.urlFromDocument(
      { uid: "RINFANR5L15B0385" },
      urls.DocumentUrlFormat.RawHtml,
    ),
    "http://www.assemblee-nationale.fr/15/textes/0385.asp",
  )
  assert.equal(
    urls.urlFromDocument(
      { uid: "RINFANR5L15B0385" },
      urls.DocumentUrlFormat.Pdf,
    ),
    "http://www.assemblee-nationale.fr/15/pdf/rap-info/i0385.pdf",
  )
  assert.equal(
    urls.urlFromDocument(
      {
        uid: "AVCEANR5L15B0004",
        classification: {
          famille: {
            classe: {
              code: "PRJLOI",
            },
          },
        },
      },
      urls.DocumentUrlFormat.Pdf,
    ),
    "http://www.assemblee-nationale.fr/15/pdf/projets/pl0004-ace.pdf",
  )
  assert.equal(
    urls.urlFromDocument(
      {
        uid: "AVCEANR5L15B0004",
        classification: {
          famille: {
            classe: {
              code: "PIONLOI",
            },
          },
        },
      },
      urls.DocumentUrlFormat.Pdf,
    ),
    "http://www.assemblee-nationale.fr/15/pdf/propositions/pion0004-ace.pdf",
  )
})
